/* Jungle Monkey
 * Copyright (C) 1999, 2000  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _B_CONN_ACCEPT_H
#define _B_CONN_ACCEPT_H

#include <glib.h>
#include <gnet/gnet.h>
#include "jmgnet.h"

#include "b_types.h"
#include "scheduler.h"


extern  Scheduler* 	b_conn_scheduler_read;
extern  Scheduler* 	b_conn_scheduler_write;

extern  JMGServer*	b_server;
extern  gchar* 		b_hostname;


#define RECEIVE_CONNECT_TIME	20000

typedef enum 
{
  B_CONN_ACCEPT_OK,
  B_CONN_ACCEPT_NO_OBJECT,
  B_CONN_ACCEPT_ERROR
} BConnAcceptType;


/**

   In the accept function, initialize conn->funcs and conn->user_data
   (if appropriate).  (Or, return an error if the connection is 'bad'
   or the object does not exist).

   Use b_conn_set_accept_func to associate an accept function with a
   protocol.

 */
typedef BConnAcceptType (*BConnAcceptFunc) (BConn* conn, gchar* object_name);


gboolean b_conn_init (gchar* hostname, GInetAddr* interface, gint port, gboolean force_port);
void	 b_conn_shutdown (void);

void	 b_conn_set_accept_func (guint8 protocol, BConnAcceptFunc func);


#endif /* _B_CONN_ACCEPT_H */
