/* Jungle Monkey
 * Copyright (C) 1999, 2000  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/**

   BNodeIO handles reads and writing IOChannels and IOChannel errors
   and hups.

 */


#ifndef _B_CONN_IO_H
#define _B_CONN_IO_H

#include "b_types.h"

void	b_conn_watch_read  (BConn* conn);
void 	b_conn_watch_write (BConn* conn);
void 	b_conn_watch_error (BConn* conn);

void 	b_conn_ignore_read  (BConn* conn);
void 	b_conn_ignore_write (BConn* conn);
void 	b_conn_ignore_error (BConn* conn);
void 	b_conn_ignore_all   (BConn* conn);

#define b_conn_watching_read(CONN)	((CONN)->read_watch != 0)
#define b_conn_watching_write(CONN)	((CONN)->write_watch != 0)
#define b_conn_watching_err(CONN)	(((CONN)->err_watch != 0) && ((CONN)->hup_watch != 0))
#define b_conn_watching_any(CONN)	(((CONN)->read_watch != 0) || ((CONN)->write_watch != 0) ||	\
					 ((CONN)->err_watch != 0)  || ((CONN)->hup_watch != 0))

#endif /* _B_CONN_IO_H */
