/* Jungle Monkey
 * Copyright (C) 1999, 2000  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _B_UTIL_H
#define _B_UTIL_H

#include <glib.h>

#include "b_conn.h"


/* ****************************** */
/* General functions		  */

BConn*  b_util_find (GList* conns, const gchar* hostname, const gint port);


/* ****************************** */
/* String parsing functions	  */


gchar*	b_util_read_string (const gchar* data, const guint length);
GList* 	b_util_read_strings (const gchar* data, const guint length);
gchar*	b_util_write_strings (GList* strings, guint* len);


/* ****************************** */
/* Address parsing functions	  */

typedef struct _BUtilAddress
{
  gchar* hostname;
  gint 	 port;

} BUtilAddress;


void		b_util_address_delete (BUtilAddress* addr);

BUtilAddress*   b_util_string_to_address (const gchar* str);

BUtilAddress* 	b_util_read_address (const gchar* data, const guint length);
GList* 		b_util_read_addresses (const gchar* data, const guint length);

gchar* 		b_util_write_address (BConn* conn, guint* len);
gchar* 		b_util_write_addresses (GList* conns, guint* len);


/* ****************************** */
/* Timer functions	  	  */

void		b_util_timer_set (guint* timer, guint time, guint delay, 
				  GSourceFunc func, gpointer user_data);
void		b_util_timer_cancel (guint* timer);
void		b_util_timer_reset (guint* timer, guint time, guint delay, 
				    GSourceFunc func, gpointer user_data);


#endif /* _B_UTIL_H */
