/* Jungle Monkey
 * Copyright (C) 1999, 2000  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _BTP_NODE_H
#define _BTP_NODE_H

#include <glib.h>

#include "b_types.h"
#include "btp_packet.h"


struct _BtpNode
{
  gchar* 	hostname;
  gint   	port;

  BConn*	conn;

  BtpTree* 	tree;

  gboolean	is_deleting;	/* Is the node being deleted? */

  gboolean 	is_bad_parent;	/* Would the node make a bad parent? (because it
				   sent an error? or wouldn't accept a switch?)  If
				   this happens, don't make it my parent. */

  gpointer 	upper_data;	/* Data for upper level protocols 		*/

};



BtpNode* btp_node_new (BtpTree* tree, gchar* hostname, gint port, BConn* conn);
void     btp_node_delete (BtpNode* node);

/*  void	 btp_node_print (FILE* file, BtpNode* node); */

#endif /* _BTP_NODE_H */
