/* Jungle Monkey
 * Copyright (C) 1999, 2000  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _BTP_PACKET_H
#define _BTP_PACKET_H

#include <glib.h>

#include "b_types.h"
#include "b_packet.h"

typedef struct _BtpTree BtpTree;
typedef struct _BtpNode BtpNode;



/**

   Packets specific to BTP.
   
 */


typedef enum 
{ 
  BTP_PACKET_TYPE_JOIN = B_PACKET_TYPE_LAST,	/* 8 */
  BTP_PACKET_TYPE_SWITCH,	
  BTP_PACKET_TYPE_LEAVE,			/* 10 */

} BtpPacketType;


typedef enum 
{ 
  BTP_PACKET_INFO_SUBTYPE_CHILDREN = B_PACKET_INFO_SUBTYPE_LAST

} BtpPacketInfoSubtype;


typedef enum 
{ 
  BTP_PACKET_OK_SUBTYPE_NONE,
  BTP_PACKET_OK_SUBTYPE_SWITCH

} BtpPacketOkSubtype;


typedef enum 
{ 
  BTP_PACKET_ERROR_SUBTYPE_NONE,
  BTP_PACKET_ERROR_SUBTYPE_SWITCH

} BtpPacketErrorSubtype;



/* ******************** */

BPacket*	btp_packet_new_info_request_children (BtpNode* node);
BPacket*	btp_packet_new_info_reply_children (BtpNode* node, GList* children);

BPacket*	btp_packet_new_join (BtpNode* node);
BPacket*	btp_packet_new_switch (BtpNode* node, BtpNode* parent);
BPacket*	btp_packet_new_leave (BtpNode* node);


#endif /* _BTP_PACKET_H */
