/* Connection-Reflection Protocol - Tests if listening socket is reachable
 * Copyright (C) 2000  David Helder
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <glib.h>
#include <gnet/gnet.h>
#include "jmgnet.h"


#define CRP_PORT	5885


typedef gpointer CRPID;

typedef enum {
  CRP_STATUS_GOOD,
  CRP_STATUS_BAD_PAIR,
  CRP_STATUS_BAD_NAME,
  CRP_STATUS_BAD_PORT,
  CRP_STATUS_ERROR

} CRPStatus;


typedef void (*CRPCheckFunc) (const gchar* hostname, gint port, CRPStatus status, 
			     /* callee owns */ GInetAddr* addr, gpointer user_data);

CRPID* 		crp_check (JMGURL* crpserver_url, gchar* hostname, gint port, 
			   CRPCheckFunc func, gpointer user_data);
void		crp_cancel (CRPID* crpid);



