/* Jungle Monkey
 * Copyright (C) 1999, 2000  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _GGUI_H
#define _GGUI_H

#include "config.h"

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <unistd.h>

#ifdef JM_ENABLE_GNOME
#include <gnome.h>
#include <popt-gnome.h>
#else
#include <popt.h>
#endif

#include <gtk/gtk.h>
#include <glade/glade.h>
/*  #include <gnome-xml/parser.h> */
#include <gnet/gnet.h>

#include "jmintl.h"	/* must go after Gnome */

#include "gui.h"
#include "backend.h"
#include "globals.h"
#include "jmchat.h"



extern GtkWidget* 	jmw;
extern GladeXML* 	jmw_xml;

extern GdkPixmap* back_pixmap;
extern GdkBitmap* back_mask;

typedef struct _GuiData
{
  gboolean   in_files_list;		/* for ggui_files		*/

  gboolean   in_download_list;		/* for ggui_download		*/

  GtkWidget* properties_dialog;		/* for ggui_properties		*/
  GtkLabel*  properties_label;
  GtkText*   properties_text;

  JMChat*    chat;			/* for ggui_chat		*/
  gchar*     chat_text;

} GuiData;

void 		ggui_set_tooltip (GtkWidget* widget, const gchar* tip);
GuiData* 	ggui_get_gui_data (JMFile* jmfile);
GladeXML* 	ggui_get_jm_glade_xml (gchar* name, gchar* glade_filename);
void 		ggui_show_message (const gchar* type, const gchar* format, ...);

void 		ggui_enable_gui (void);
void 		ggui_disable_gui (void);

void		ggui_check_network_config (void);


void ggui_get_pixmaps(JMFile* jmfile, GdkPixmap** pixmap, GdkBitmap** mask);

void ggui_clist_update_row2(GtkCList* clist, gint row,
			    gchar* text1, gchar* text2,
			    GdkPixmap* pixmap, GdkBitmap* mask);

#endif /* _GGUI_H */
