/* Jungle Monkey
 * Copyright (C) 1999, 2000  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */



/*

  GUI for chat for the Gtk/Gnome GUI.

*/


#ifndef _GGUI_CHAT_H
#define _GGUI_CHAT_H

void	 ggui_chat_init (void);
void 	 ggui_chat_shutdown (void);
void	 ggui_chat_load_bookmarks (void);

gboolean ggui_chat_on (JMFile* url);
gboolean ggui_chat_is_down (JMFile* url);

gboolean ggui_chat_join (JMFile* url);		/* FALSE = SUCCESS */
void	 ggui_chat_leave (JMFile* url);
JMFile*	 ggui_chat_create (gchar* name, JMFile* parent);

gchar*	 ggui_chat_get_nickname (void);		/* we own return value */
void	 ggui_chat_set_nickname (gchar* nick);

void 	 ggui_chat_add (JMFile* jmfile);
void 	 ggui_chat_remove (JMFile* jmfile);
void 	 ggui_chat_move (JMFile* jmfile, JMFile* new_parent, JMFile* old_parent);
void 	 ggui_chat_update (JMFile* jmfile);
void 	 ggui_chat_freeze (void);
void 	 ggui_chat_thaw (void);


#endif /* _GGUI_CHAT_H */
