/* Jungle Monkey
 * Copyright (C) 1999, 2000  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/*

  GTK/Gnome configuration file module.  This provides a wrapper around
  Gnome's libgnome/gnome-config and my non-Gnome own config file
  functions.

*/


#ifndef _GGUI_CONFIG_H
#define _GGUI_CONFIG_H

#include <glib.h>

void ggui_config_init (void);
void ggui_config_shutdown (void);
void ggui_config_sync (void);

gchar* 	 ggui_config_get_string (gchar* key, gchar* def);
gint 	 ggui_config_get_int (gchar* key, gint def);
gboolean ggui_config_get_bool (gchar* key, gboolean def);
gchar**	 ggui_config_get_vector (gchar* key);
/* Delete the vector only */

void 	ggui_config_set_string (gchar* key, gchar* value);
void 	ggui_config_set_int (gchar* key, gint value);
void 	ggui_config_set_bool (gchar* key, gboolean value);
void 	ggui_config_set_vector (gchar* key, gchar** argp);

#endif /* _GGUI_CONFIG_H */
