/* Jungle Monkey
 * Copyright (C) 1999, 2000  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */



/*

  Common menu code for the Gtk/Gnome GUI.

*/


#ifndef _GGUI_MENU_H
#define _GGUI_MENU_H

#include "jmfile.h"

void ggui_menu_init (void);

void ggui_menu_enable_menubar (void);
void ggui_menu_disable_menubar (void);

void ggui_menu_open_channel (void);
void ggui_menu_create_channel (JMFile** jmfilep);
void ggui_menu_create_root_channel (void);
void ggui_menu_create_channel_from_directory (JMFile** jmfilep);
void ggui_menu_join_channel (JMFile* jmfile);
void ggui_menu_remove_channel (JMFile* jmfile);
void ggui_menu_leave_channel (JMFile* jmfile);

void ggui_menu_add_file (JMFile** jmfilep);
void ggui_menu_get_file (JMFile* jmfile);
void ggui_menu_cancel_download (JMFile* jmfile);
void ggui_menu_remove_file (JMFile* jmfile);

void ggui_menu_add_directory (JMFile** jmfilep);
void ggui_menu_create_directory (JMFile** jmfilep);
/* get_directory ~ get_file  */
/* remove_directory ~ remove_file */

void ggui_menu_open_chat (void);
void ggui_menu_create_chat (JMFile** jmfilep);
void ggui_menu_create_private_chat (void);
void ggui_menu_join_chat (JMFile* jmfile);
void ggui_menu_remove_chat (JMFile* jmfile);
void ggui_menu_leave_chat (JMFile* jmfile);

void ggui_menu_add_url (JMFile** jmfilep);
void ggui_menu_open_url (JMFile* jmfile);
void ggui_menu_remove_url (JMFile* jmfile);

void ggui_menu_properties(JMFile* jmfile);

void ggui_menu_about(void);


#endif /* _GGUI_MENU_H */
