/* Jungle Monkey
 * Copyright (C) 1999  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _GLOBALS_H
#define _GLOBALS_H


extern int debug_level;


#ifdef __GNUC__

#include <stdio.h>
#define DEBUGP(fmt, args...)  do { if (debug_level > 0) fprintf(stderr, fmt, ## args); } while(0)

#else

#include <stdio.h>

static void
DEBUGP (const gchar *format, ...)
{
  if (debug_level > 0) 
    {
      va_list args;
      va_start (args, format);
      vfprintf(stderr, format, args);
      va_end (args);
    }
}

#endif


#endif /* _GLOBALS_H */
