/* Jungle Monkey
 * Copyright (C) 1999, 2000  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _JMCHAT_H
#define _JMCHAT_H

#include <glib.h>
#include "btsmp.h"


struct _JMChat;
typedef struct _JMChat JMChat;

typedef enum 
{
  JMCHAT_JOIN,
  JMCHAT_LEAVE,
  JMCHAT_SAY

} JMChatType;


typedef void (*JMChatInfoFunc)(JMChat* chat, JMChatType type, gchar* nick, 
			       gchar* msg, gpointer user_data);
typedef void (*JMChatErrorFunc)(JMChat* chat, gpointer user_data);


struct _JMChat
{
  gchar* url;
  gchar* nick;
  BTSmp* btsmp;
  gboolean is_local;
  gboolean is_down;

  JMChatInfoFunc info_func;
  JMChatErrorFunc error_func;
  gpointer user_data;

};




/*  void	  jmchat_new (gchar* name, gchar* nick); */
void      jmchat_delete (JMChat* jmchat);

JMChat*   jmchat_create (gchar* name, gchar* nick);
JMChat*	  jmchat_join (gchar* url, gchar* nick);
gboolean  jmchat_rejoin (JMChat* chat);	/* FALSE = success */
void 	  jmchat_leave (JMChat* chat);

void	  jmchat_say (JMChat* chat, gchar* message);

gboolean  jmchat_is_up (JMChat* chat);

#endif /* _JMCHAT_H */
