/* Jungle Monkey
 * Copyright (C) 1999, 2000  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _MTP_SERVER_H
#define _MTP_SERVER_H

#include "mtp_types.h"


/**

   Monkey Troop Protocol Server module

   MTP Server handles all incoming MTP connections and requests.  The
   server may be a mirror, a rendezvous, or both.  Some of the mirror
   code is in mtp_mirror also.

*/



MtpServer* mtp_server_new (gchar* hostname, GInetAddr* interface, 
			   gint port, gboolean force_port, 
			   MtpServerType type, 
			   gboolean global_rendezvous);
void	   mtp_server_delete (MtpServer* server);
void	   mtp_server_print (MtpServer* server, FILE* file);

void	   mtp_server_set_type (MtpServer* server, MtpServerType type);


#endif /* _MTP_SERVER_H */
