/* Jungle Monkey
 * Copyright (C) 1999, 2000  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _SCHEDULER_H
#define _SCHEDULER_H

#include <glib.h>
#include <sys/types.h>
#include <sys/time.h>


typedef enum
{
  SCHEDULER_POLICY_ROUND_ROBIN

} SchedulerPolicy;


#define SCHEDULER_UNLIMITED_UNITS	-1


typedef struct _Scheduler
{
  SchedulerPolicy	policy;
  gint 			max_ups;

  GList* 		queue;

  guint			timer;

  gint			last_units;
  struct timeval	last_dispatch;

} Scheduler;

typedef gint (*SchedulerFunc)(gpointer user_data);	/* Returns units used */


Scheduler*  scheduler_new (void);
void	    scheduler_delete (Scheduler* scheduler);

void	    scheduler_set_policy (Scheduler* scheduler, SchedulerPolicy policy);
void	    scheduler_set_max_ups (Scheduler* scheduler, gint max_units_per_second);

void	    scheduler_add (Scheduler* scheduler, gpointer user_data, SchedulerFunc func, gint units);
void	    scheduler_remove (Scheduler* scheduler, gpointer user_data);


#endif /* _SCHEDULER_H */
